Package org.apache.commons.imaging.formats.tiff

# Class TiffImagingParameters

java.lang.Object
org.apache.commons.imaging.ImagingParameters<TiffImagingParameters>
org.apache.commons.imaging.common.XmpImagingParameters<TiffImagingParameters>
org.apache.commons.imaging.formats.tiff.TiffImagingParameters

public class TiffImagingParameters extends XmpImagingParameters<TiffImagingParameters>
TIFF format parameters.

Since:
  1.0-alpha3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TiffImagingParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearSubImage()`
  Clears settings for sub-image.
  `Integer`
  `getCompression()`
  `AbstractPhotometricInterpreter`
  `getCustomPhotometricInterpreter()`
  `Integer`
  `getLzwCompressionBlockSize()`
  `TiffOutputSet`
  `getOutputSet()`
  Gets the TIFF output set for writing TIFF files.
  `int`
  `getSubImageHeight()`
  Gets the height for a sub-image setting.
  `int`
  `getSubImageWidth()`
  Gets the width for a sub-image setting.
  `int`
  `getSubImageX()`
  Gets the X coordinate of a sub-image.
  `int`
  `getSubImageY()`
  Gets the Y coordinate of a sub-image.
  `Integer`
  `getT4Options()`
  `Integer`
  `getT6Options()`
  `boolean`
  `isReadThumbnails()`
  `boolean`
  `isSubImageSet()`
  Indicates whether the application has set sub-image parameters.
  `TiffImagingParameters`
  `setCompression(Integer compression)`
  `TiffImagingParameters`
  `setCustomPhotometricInterpreter(AbstractPhotometricInterpreter customPhotometricInterpreter)`
  `TiffImagingParameters`
  `setLzwCompressionBlockSize(Integer lzwCompressionBlockSize)`
  `TiffImagingParameters`
  `setOutputSet(TiffOutputSet tiffOutputSet)`
  Sets the TIFF output set for writing TIFF files.
  `TiffImagingParameters`
  `setReadThumbnails(boolean readThumbnails)`
  `TiffImagingParameters`
  `setSubImage(int x, int y, int width, int height)`
  Sets parameters for performing a partial read operation on an image.
  `TiffImagingParameters`
  `setT4Options(Integer t4Options)`
  `TiffImagingParameters`
  `setT6Options(Integer t6Options)`

  ### Methods inherited from class org.apache.commons.imaging.common.XmpImagingParameters

  `getXmpXml, setXmpXml`

  ### Methods inherited from class org.apache.commons.imaging.ImagingParameters

  `asThis, getBufferedImageFactory, getFileName, getPixelDensity, isStrict, setBufferedImageFactory, setFileName, setPixelDensity, setStrict`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TiffImagingParameters

    public TiffImagingParameters()

- ## Method Details

  - ### clearSubImage

    public void clearSubImage()
    Clears settings for sub-image. Subsequent read operations will retrieve the entire image.

  - ### getCompression

    public Integer getCompression()

  - ### getCustomPhotometricInterpreter

    public AbstractPhotometricInterpreter getCustomPhotometricInterpreter()

  - ### getLzwCompressionBlockSize

    public Integer getLzwCompressionBlockSize()

  - ### getOutputSet

    public TiffOutputSet getOutputSet()
    Gets the TIFF output set for writing TIFF files.
    Returns:
      if set, a valid instance; otherwise, a null reference.

  - ### getSubImageHeight

    public int getSubImageHeight()
    Gets the height for a sub-image setting. For a sub-image setting to be meaningful, both the width and height must be set.
    Returns:
      if the sub-image feature is enabled, a value greater than zero; otherwise, zero.

  - ### getSubImageWidth

    public int getSubImageWidth()
    Gets the width for a sub-image setting. For a sub-image setting to be meaningful, both the width and height must be set.
    Returns:
      if the sub-image feature is enabled, a value greater than zero; otherwise, zero.

  - ### getSubImageX

    public int getSubImageX()
    Gets the X coordinate of a sub-image. This setting is meaningful only if a sub-image is set.
    Returns:
      a positive integer

  - ### getSubImageY

    public int getSubImageY()
    Gets the Y coordinate of a sub-image. This setting is meaningful only if a sub-image is set.
    Returns:
      a positive integer

  - ### getT4Options

    public Integer getT4Options()

  - ### getT6Options

    public Integer getT6Options()

  - ### isReadThumbnails

    public boolean isReadThumbnails()

  - ### isSubImageSet

    public boolean isSubImageSet()
    Indicates whether the application has set sub-image parameters.
    Returns:
      true if the sub-image parameters are set; otherwise, false.

  - ### setCompression

    public TiffImagingParameters setCompression(Integer compression)

  - ### setCustomPhotometricInterpreter

    public TiffImagingParameters setCustomPhotometricInterpreter(AbstractPhotometricInterpreter customPhotometricInterpreter)

  - ### setLzwCompressionBlockSize

    public TiffImagingParameters setLzwCompressionBlockSize(Integer lzwCompressionBlockSize)

  - ### setOutputSet

    public TiffImagingParameters setOutputSet(TiffOutputSet tiffOutputSet)
    Sets the TIFF output set for writing TIFF files. An output set may contain various types of TiffDirectories including image directories, EXIF directories, GPS-related directories, etc.
    Parameters:
      `tiffOutputSet` - A valid instance.
    Returns:
      `this` instance.

  - ### setReadThumbnails

    public TiffImagingParameters setReadThumbnails(boolean readThumbnails)

  - ### setSubImage

    public TiffImagingParameters setSubImage(int x, int y, int width, int height)
    Sets parameters for performing a partial read operation on an image. This method is useful for reducing memory and run-time overhead when accessing large source images.

    Note that the corner x and y coordinates must be positive integers (zero or greater). The width and height must be greater than zero.

    Parameters:
      `x` - pixel coordinate of the upper-left corner of the source image, must be zero or greater.
      `y` - pixel coordinate of the upper-left corner of the source image, must be zero or greater.
      `width` - width of the image subset to be read, must be greater than zero.
      `height` - height of the image subset to be read, must be greater than zero.
    Returns:
      `this` instance.

  - ### setT4Options

    public TiffImagingParameters setT4Options(Integer t4Options)

  - ### setT6Options

    public TiffImagingParameters setT6Options(Integer t6Options)